Bug 10201 - Handle winmail.dat () attachments
: Handle winmail.dat () attachments
Status: RESOLVED WONTFIX
Product: Email
General
: 5.0:(10.2010.19-1)
: All Maemo
: Unspecified enhancement (vote)
: ---
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-05-18 19:55 UTC by Adam Sjøgen
Modified: 2012-03-24 11:46 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Adam Sjøgen (reporter) 2010-05-18 19:55:00 UTC
SOFTWARE VERSION:
(Settings > General > About product)

2.2009.51-1

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Receive an email with an application/ms-tnef attachment
2 [details]. Try to open it in the email-program by clicking on the winmail.dat
attachment
3 [details]. Get "No viewer found for this file type" error message

EXPECTED OUTCOME:

The attachment is automatically decoded and shown in the relevant viewer.

ACTUAL OUTCOME:

The attachment isn't decoded and the error message "No viewer found for this
file type".

REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)

always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

See the tnef package for how to decode it:

 * http://packages.debian.org/lenny/tnef

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.3)
Gecko/20091010 Iceweasel/3.5.6 (like Firefox/3.5.6; Debian-3.5.6-2)
Comment 1 Andre Klapper maemo.org 2010-05-18 20:15:39 UTC
Hi,

(In reply to comment #0)
> SOFTWARE VERSION:
> 2.2009.51-1

Uhm. No 3.2010.02-8?

> EXACT STEPS LEADING TO PROBLEM: 
> 1. Receive an email with an application/ms-tnef attachment

Can you attach an example email here (and remove any personal data before)?
Comment 2 Adam Sjøgen (reporter) 2010-05-18 21:15:37 UTC
(In reply to comment #1)

>> SOFTWARE VERSION:
>> 2.2009.51-1

> Uhm. No 3.2010.02-8?

No; definitely 2.2009.51-1 - just took a screenshot:

 * http://koldfront.dk/misc/maemo/Screenshot-20100518-192246.png

>> 1. Receive an email with an application/ms-tnef attachment

> Can you attach an example email here (and remove any personal data before)?

The one I received I can't attach unfortunately (the attachment contains data I
can't share). I cannot create a new one as I do not use Windows. I hope you can
locate a Windows-user that can help with a test-case.
Comment 3 Andre Klapper maemo.org 2010-06-30 22:51:31 UTC
Need a testcase as attachment here, plus does this still happen in
10.2010.19-1?
Comment 4 Adam Sjøgen (reporter) 2010-06-30 23:35:16 UTC
(In reply to comment #3)
> Need a testcase as attachment here, plus does this still happen in
> 10.2010.19-1?

As I wrote in May, I do not use Windows and the ms-tnef attachment I received
is not something I am at liberty to share.

I can understand that nobody at Nokia uses Windows (good for you), so I used
Google to find a similar bug - for the Evolution email program on Ubuntus
launchpad, from 2007-2008:

 * https://bugs.launchpad.net/ubuntu/+source/evolution/+bug/83154

to which an example email is attached:

 * http://launchpadlibrarian.net/6389206/mail_with_ms-tnef

Interestingly the launchpad bug refers to the upstream Gnome bug from
2005-2007:

 * https://bugzilla.gnome.org/show_bug.cgi?id=271398

in which an André Klapper participated.

Yes, it still happens in 10.2010.19-1; I have just tested it with the example
email linked to above (see screenshot a)
http://koldfront.dk/misc/maemo/Screenshot-20100630-223016.png - and b)
http://koldfront.dk/misc/maemo/Screenshot-20100630-223447.png )
Comment 5 Andre Klapper maemo.org 2010-07-14 14:45:46 UTC
(Not considered a bug by Nokia but a new feature -> changing severity).

So e.g. integrating ytnef.sourceforge.net would be an option.
However unlikely to happen for Maemo5 at this stage.
Comment 6 Andre Klapper maemo.org 2012-03-24 11:46:35 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )